REM This uses assembly language to make the mouse visible, get a keypress

REM and then make the mouse invisible again.

REM

REM Written by Ben McGaughey



DEFINT A-Z



DECLARE SUB InitMouse ()

DECLARE SUB ShowMouse ()

DECLARE SUB HideMouse ()



REM The total bytes in the ASM program is 6 so you devide that by 2

REM and this is what the array below has to be.

DIM SHARED ShowMouse1(3)

DIM SHARED HideMouse1(3)



InitMouse



ShowMouse

WHILE INKEY$ = "": WEND

HideMouse



END



DATA &HB8,&H01,&H00    : ' MOV AX,0001

DATA &HCD,&H33         : ' INT 33

DATA &HCB              : ' RETF



DATA &HB8,&H02,&H00    : ' MOV AX,0001

DATA &HCD,&H33         : ' INT 33

DATA &HCB              : ' RETF



SUB HideMouse



DEF SEG = VARSEG(HideMouse1(0))

CALL ABSOLUTE(VARPTR(HideMouse1(0)))

DEF SEG



END SUB



SUB InitMouse



REM This is poking the ASM program into the array.

DEF SEG = VARSEG(ShowMouse1(0))

FOR i = 0 TO 5

READ j

POKE (VARPTR(ShowMouse1(0)) + i), j

NEXT i

DEF SEG



DEF SEG = VARSEG(HideMouse1(0))

FOR i = 0 TO 5

READ j

POKE (VARPTR(HideMouse1(0)) + i), j

NEXT i

DEF SEG



END SUB



SUB ShowMouse



REM Now activate the program.

DEF SEG = VARSEG(ShowMouse1(0))

CALL ABSOLUTE(VARPTR(ShowMouse1(0)))

DEF SEG



END SUB



